package com.mosty.yszx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.vo.yszx.TbYsDlQuery;
import com.mosty.base.model.vo.yszx.TbYsDlVo;
import com.mosty.base.model.vo.yszx.TbYsDlDto;
import com.mosty.base.model.entity.yszx.TbYsDl;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * 
要素-地理要素表(TbYsDl)表服务接口
 *
 * @author zhangHaiJun
 * @since 2022-07-12 10:08:38
 */
public interface TbYsDlService {

    @ApiOperation("查询所有数据")
    IPage<TbYsDlVo> queryAll(TbYsDlQuery dto);
    
    @ApiOperation("通过ID查询单条数据")
    TbYsDlVo queryById(String id);

    @ApiOperation("新增数据")
    void insert(TbYsDlDto tbYsDl);

    @ApiOperation("修改数据")
    void update(TbYsDlDto tbYsDl);

    @ApiOperation("通过主键删除数据")
    void deleteById(String id);

    @ApiOperation("大屏-巡组气泡框-视频随动")
    List<TbYsDl> selectVideoServo(TbYsDl tbYsDl);

    @ApiOperation("根据关键字查询")
    List<TbYsDlVo> selectByNr(String keyword);

    @ApiOperation("根据名称查询地理要素")
    TbYsDl selectDlys(String ysmc);
}

